Bug 58184 - KDE problems with multiple users on the same server
KDE problems with multiple users on the same server
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-01-10 13:12 EST by David Richards
Modified: 2007-04-18 12:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-22 09:51:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Richards 2002-01-10 13:12:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.7-10smp i686)

Description of problem:
We have been having some problems with KDE and the way that temporary files are
built on the server.  Certain files are never deleted and in time cause KDE to
experience failures.  We have close to 900 unique users on 400 thin clients. 
People are logging in and out of the system all day, and move around between
locations.  We also have some users that have 2 thin clients on their desk and
log into both of them at the same time.

I have found the following areas that seem to need attention.

* The system builds a file called .DCOPserver_<server_name>_<device_name> and
then does a soft link to .DCOPserver_<server_name>  in their home directory. 
When they log in for the second time on another thin client, the soft link is
then moved to the new device even though both sessions are still in use and

* .fam<unique_number> files are built in /tmp and look like this:
srw-------    1 ksnyder  nobody          0 Jan 10 10:39 .fam00fUmD
Permissions therefore for the first person to write the file.  If the server is
up long enough, won't those <unique_numbers> eventually come up again and cause

* In /tmp it is building files that look like this-->
-rw-------    1 lhilton  lhilton       211 Jan  8 08:09 dcop0tEQrX
If that unique number comes up again, the next person won't be able to overwrite
the file and that will cause problems.

* In the /tmp/.ICE-unix directory, it is building special files that look like
srwx------    1 gmatting gmatting        0 Jan 10 07:17 1179
It looks to me like they are the process number of the application that needs
the pipe.  Over time, the process numbers flip over again and people were
getting those ICE errors because they didn't have access rights to overwrite the
older file from the previous user.

This is what we get with the ICE problem:
_IceTransSocketUNIXCreateListener: ...SocketCreateListener() failed
_IceTransMakeAllCOTSServerListeners: server already running
KSMServer: Error listening for connections: Cannot establish any listening socke
KSMServer: Aborting

It seems to me that all of these examples should be renamed to better handle
different users and devices.  For instance the ICE files could be called
1179_mjohnson_xtubegg:0  , they would never collide then with other users and
also not with himself on another device that is active at the same time.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Use KDE with many users at the same time.

Actual Results:  Tempory files began to grow, never are deleted.

Expected Results:  Temp files should either delete, or better yet be named in a
way that collision never happens.

Additional info:
Comment 1 Bernhard Rosenkraenzer 2002-01-15 08:01:00 EST
Adding the maintainers of fam and XFree86 to the Cc list:
The /tmp/.ICE* files are caused by a problem in libICE (part of XFree86), the
.fam* files are caused by fam.

I'll try to add workarounds for the problems in KDE.
Comment 2 Alexander Larsson 2002-01-15 11:20:44 EST
Actually fam unlinks any existing socket before it creates one. So this would
not be affected by overflow. It does look rather bad though, so I'll look into
fixing it.
Comment 3 Alexander Larsson 2002-01-15 11:59:52 EST
Fam should be fixed whenever fam-2.6.7-4 gets built.
Comment 4 Mike A. Harris 2002-01-24 22:02:20 EST
Hmm.  I'll look into the ICE issue.
Comment 5 David Richards 2004-09-22 09:51:23 EDT
This has been open 2.5 years, and we moved to GNOME.  Also KDE has
upgraded several times since this was report.  Closing.

Note You need to log in before you can comment on or make changes to this bug.